# 32/64bit spec-file
#
%define prefix /usr
%define name systeminfo
%define version 0.6.4
%define release %mkrel 1
%define summary systeminfo - informations is just a click away
%define url http://www.pclinuxos.com/forum/index.php?topic=62107.0
%define group Monitoring


Name:		 %{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	%{summary}
Summary(de): 	Systeminfo - Informationen sind einen Mausklick entfernt	
Summary(fr): 	L'information sur le système est juste à un click de vous
URL: 		%{url}
Group: 		%{group}
License: 	GPL2
Source0: 	%{name}-%{version}.tar.xz
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	xterm
Requires: 	zenity

%description
A Zenity based application that displays a lot of information about your system.

%description -l de
Ein auf Zenity basierte Anwendung, die eine Vielzahl von Informationen über Ihr System anzeigt.

%description -l sr
Зениты заснована апликација која приказује мноштво информација о вашем систему.

%description -l fr
Une application basée Zenity qui affiche un tas d'informations sur votre système.

%description -l es
Una Zenity aplicación basada en que muestra una gran cantidad de información sobre su sistema.

%description -l pl
Zenity aplikacja, która wyświetla wiele informacji o systemie.

%description -l nl
Een zenity gebaseerde applicatie die geeft een veel informatie over uw systeem.

%prep

%setup -q

%install
rm -rf %{buildroot}
install -d -m 0755 %buildroot%_bindir
install -d -m 0755 %buildroot%_datadir/applications
install -d -m 0755 %buildroot%_datadir/icons
install -d -m 0755 %buildroot%_datadir/apps/%{name}

install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} %buildroot%_bindir/%{name}
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.desktop %buildroot%_datadir/applications/%{name}.desktop
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.png %buildroot%_datadir/icons/%{name}.png
install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.sh %buildroot%_datadir/apps/%{name}/%{name}.sh

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,sr,es,fr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}.sh-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/sr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}.sh-sr_SR.po
msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}.sh-es_ES.po
msgfmt -o  %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}.sh-fr_FR.po


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/apps/%{name}/%{name}.sh
%_datadir/icons/%{name}.png
%doc AUTHORS CHANGELOG COPYING README
%{_datadir}/locale/*/LC_MESSAGES/systeminfo.mo


%changelog
* Tue Apr 08 2014 dmw <meisssw01 at gmail.com> 0.6.4-1free2014
- fix bug by clicking double on a entry
  add radiolist

* Sun Apr 06 2014 bb <bb> 0.6.3-4pclos2014
- add dep xterm and zenity

* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.6.3-2pclos2013
- rebuild for 64

* Fri Apr 22 2011 leiche <meisssw01 at aol.com> 0.6.3-2leiche2011
- add french language, translated by melodie
- fix some description, thanks "pierreghz contributor of archlinux.fr"

* Wed Feb 02 2011 leiche <meisssw01 at aol.com> 0.6.3-1pclos2010
- added hard drive speed test by hdparm
- clear script

* Fri Jun 18 2010 leiche <meisssw01 at aol.com> 0.6.2-1pclos2010
- remove --radiolist for work better with keyboards keys
- add progress for searching in repositories

* Sat Jun 12 2010 leiche <meisssw01 at aol.com> 0.6.1-1pclos2010
- fix some description in english, and german
- fix html output by old-polack, and angel02_de
- 
- needing correctly translation for other languages
 
* Fri Jun 09 2010 leiche <meisssw01 at aol.com> 0.6-1pclos2010
- fixed output menu.lst by old-polack
- added search in repositories, and installing
- added more information in dsmeg-search, and lsmod-search (idea by linux-fanatic)

* Thu May 06 2010 leiche <meisssw01 at aol.com> 0.5-5pclos2010
- change lshw output as html with firefox

* Thu Oct 08 2009 Leiche <MeissSW01@aol.com> 0.5-4pclos2010
- rebuild for PXLinuxOS 2010

* Fri Sep 18 2009 Leiche <MeissSW01@aol.com> 0.5-3pclos2009
- fixed some words, added Spanish language

* Sun Sep 17 2009 Leiche <MeissSW01@aol.com> 0.5-2pclos2009
- fixed description of dmesg, and sort for lsmod added, Serbian language added

* Fri Sep 11 2009 Leiche <MeissSW01@aol.com> 0.5-1pclos2009
- added whereis and fixed searchbox dialog

* Sun Sep 06 2009 Leiche <MeissSW01@aol.com> 0.4-5pclos2009
- fixed translation and password issues with xterm

* Wed Sep 02 2009 Leiche <MeissSW01@aol.com> 0.4-1pclos2009
- rebuild now with Zenity

* Mon Jul 27 2009 Leiche <MeissSW01@aol.com> 0.3-1pclos2009
- top and fsck added

* Thu Jul 09 2009 Leiche <MeissSW01@aol.com> 0.2-1pclos2009
- more programs added

* Sat Jul 05 2009 Leiche <MeissSW01@aol.com> 0.1-1pclos2009
- commandoline tool as GUI with Kommander
